org.codehaus.plexus.component.configurator

## Interface ConfigurationListener

    public interface ConfigurationListener

Listen for configuration changes on an object.

Version:
  $Id: ConfigurationListener.java 5127 2006-12-12 03:49:50Z jvanzyl $
Author:
  Brett Porter

### Method Summary

Methods
`void` `notifyFieldChangeUsingReflection(java.lang.String fieldName, java.lang.Object value, java.lang.Object target)` Notify the listener that a field has been set using private field injection.
`void` `notifyFieldChangeUsingSetter(java.lang.String fieldName, java.lang.Object value, java.lang.Object target)` Notify the listener that a field has been set using its setter.

### Method Detail

#### notifyFieldChangeUsingSetter

    void notifyFieldChangeUsingSetter(java.lang.String fieldName,
                                    java.lang.Object value,
                                    java.lang.Object target)

Notify the listener that a field has been set using its setter.

Parameters:
  `fieldName` - the field
  `value` - the value set
  `target` - the target object

#### notifyFieldChangeUsingReflection

    void notifyFieldChangeUsingReflection(java.lang.String fieldName,
                                        java.lang.Object value,
                                        java.lang.Object target)

Notify the listener that a field has been set using private field injection.

Parameters:
  `fieldName` - the field
  `value` - the value set
  `target` - the target object